
/****************************************
  ==== RESETS
****************************************/

/*html,body,div,canvas { margin: 0; padding: 0; }*/
/*::-moz-selection { color: #333; text-shadow: none; }*/
/*::selection {  color: #333; text-shadow: none; }*/
/*.clear:after { visibility: hidden; display: block; font-size: 0; content: " "; clear: both; height: 0; }*/
/*.clear { display: inline-table; clear: both; }*/
/* Hides from IE-mac \*/ 
/** html .clear { height: 1%; } .clear { display: block; } */
/* End hide from IE-mac */

/****************************************
  ==== LAYOUT
****************************************/
@font-face { font-family: Avenir; src: url('./img/fonts/AvenirNextCondensed-Medium.ttf'); } 

html, body { width: 100%; height: 100%; font-family: Helvetica, Verdana, Arial, sans-serif; }

div.title { height: 38px; line-height: 38px; padding: 0 10px; margin: 0 1px 0 0; float: right; color: #333; text-align: right; font-size: 18px; position: relative; z-index: 10; }
.template-wrap { position: absolute; top: 50%; left: 50%; -webkit-transform: translate(-50%, -50%); transform: translate(-50%, -50%); }

#gameContainer {
	overflow: hidden
}
#unity-canvas {
	background-image: url('img/background.png'),url('img/background_lowres.png');
	background-repeat: no-repeat;
	background-size: cover;
	background-position: center;
	width: 100%;
	height: 100%;
}

.textObject {
	z-index: 50;
	color : #fff;
	font-family: Avenir, sans-serif;
}

.paypalPopupText {
	text-align:center;
	padding: 0;
	font-size: 22px;
	font-family: Avenir, sans-serif;
	color : #fff;
}

#paypalPopup {
	position: absolute;
	top: 50%;
	left: 50%;
	transform: translate(-50%, -50%);
	width: 480px;
	padding: 60px 100px 20px 100px;
	background: url("./img/popup.png");
	background-repeat: no-repeat;
	background-size: cover;
	background-position: center;
}

#paypalCloseButton {
	position: absolute;
    right: 20px;
    top: 40px;
    background: url('./img/close_button.png');
    background-size: contain;
    background-repeat: no-repeat;
    width: 20px;
    height: 20px;
}

.loadingText {
	height: 43px;
	width: 138px;
	text-align: center;
	font-size: 36px;
	position: absolute;
	top: 50%;
	left: 50%;
	-webkit-transform: translate(-50%, -50%);
	transform: translate(-50%, -50%);
}

.ellipsisText {
	height: 43px;
	width: 40px;
	position: absolute;
	text-align: left;
	font-size: 36px;
	right: -40px;
	top: 0px;
}

#loadingSpinner {
	position: absolute;
}

.stickToBottom {
	position: absolute;
	bottom: 5px;
}

.tips {
	width: 100%;
	text-align: center;
	font-size: 24px;
	position: absolute;
}

#progressBarEmpty {
	position:absolute;
	bottom:1px;
	height:5px;
	width:100%;
	border-style: solid;
	border-color: white;
}

#progressBarFull {
	float: left;
	width: 0%; 
	height: 100%;
	display: inline-block;
	background: white;
}

#kinkajooLogo {
	position: absolute;
	background: url('img/Kinkajoo_Logo_Blue_White_BG.png') no-repeat bottom / contain;
}

#jokerIcon {
	background: url('img/jokerIcon.png') no-repeat center / contain;
	display: inline-flex;
	height: 1em;
	width: 1em;
	margin-right: 0.2em;
}

#rummikubLogo {
	position: absolute;
	background: url('img/rummikubLogo.png') no-repeat center / contain;
}

#copyRightText {
	position: absolute;
	color: white;
}

.fullScreen{
	background-image: url(./img/fullscreen_button.png);
	background-repeat: no-repeat;
	position: absolute;
	width: 40px;
	height: 40px;
	background-size:contain;
	bottom: -48px;
	right: 0px;
	cursor:pointer;
}

.tooltiptext {
	font-family: Arial, Verdana;
    visibility: hidden;
    width: 120px;
    background-color: #555;
    color: #fff;
    text-align: center;
    border-radius: 4px;
    padding: 5px 0;
    position: absolute;
    z-index: 1;
    top: 125%;
    left: 50%;
    margin-left: -60px;
    opacity: 0;
    transition: opacity 0.5s;
}

.tooltip .tooltiptext::after {
    content: "";
    position: absolute;
    bottom: 100%;
    left: 50%;
    margin-left: -5px;
    border-width: 5px;
    border-style: solid;
    border-color: #000 transparent transparent transparent;
}

.tooltip:hover .tooltiptext {
    visibility: visible;
    opacity: 1;
}

.spinning {
    -webkit-animation:spin 1.5s linear infinite;
    -moz-animation:spin 1.5s linear infinite;
    animation:spin 1.5s linear infinite;
}
@-moz-keyframes spin { 100% { -moz-transform: rotate(360deg); } }
@-webkit-keyframes spin { 100% { -webkit-transform: rotate(360deg); } }
@keyframes spin { 100% { -webkit-transform: rotate(360deg); transform:rotate(360deg); } }

